/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FastStochasticOscillatorIndicatorStrategy } from "./FastStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
import { Brush } from "igniteui-react-core/ES5/Brush";
var FastStochasticOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(FastStochasticOscillatorIndicator, _super);
    function FastStochasticOscillatorIndicator() {
        var _this = _super.call(this) || this;
        _this.trendLineBrush = ((function () {
            var $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        _this.trendLineType = 10;
        _this.trendLinePeriod = 3;
        return _this;
    }
    FastStochasticOscillatorIndicator.prototype.get_p0 = function () {
        return new FastStochasticOscillatorIndicatorStrategy();
    };
    Object.defineProperty(FastStochasticOscillatorIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    FastStochasticOscillatorIndicator.prototype.get_qd = function () {
        return FastStochasticOscillatorIndicator.$;
    };
    Object.defineProperty(FastStochasticOscillatorIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FastStochasticOscillatorIndicator.prototype, "ql", {
        get: function () {
            return typeGetValue(this.c(FastStochasticOscillatorIndicator.qm));
        },
        set: function (a) {
            this.h(FastStochasticOscillatorIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    FastStochasticOscillatorIndicator.prototype.p6 = function () {
        return this.ql;
    };
    FastStochasticOscillatorIndicator.prototype.qf = function (a) {
        this.ql = a;
    };
    FastStochasticOscillatorIndicator.qm = StrategyBasedIndicator.qi(14, FastStochasticOscillatorIndicator.$);
    FastStochasticOscillatorIndicator.$t = markType(FastStochasticOscillatorIndicator, 'FastStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    return FastStochasticOscillatorIndicator;
}(StrategyBasedIndicator));
export { FastStochasticOscillatorIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.FastStochasticOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.FastStochasticOscillatorIndicator" />*/
